"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContactsService = void 0;
const common_1 = require("@nestjs/common");
const seed_contacts_1 = require("./seed-contacts");
const uuid_1 = require("uuid");
let contacts = seed_contacts_1.SEED_CONTACTS;
let ContactsService = class ContactsService {
    create(createContactDto) {
        const newContact = createContactDto;
        newContact.login = {
            uuid: (0, uuid_1.v4)(),
        };
        contacts = [newContact, ...contacts];
        return {
            contact: newContact,
        };
    }
    findAll() {
        return { contacts };
    }
    findOne(uuid) {
        const contact = contacts.find((item) => item.login.uuid === uuid);
        return {
            contact,
        };
    }
    update(uuid, updateContactDto) {
        let index = -1;
        contacts = contacts.map((item, idx) => {
            if (item.login.uuid === uuid) {
                index = idx;
                return {
                    ...item,
                    ...updateContactDto,
                };
            }
            return item;
        });
        return {
            contact: contacts[index],
        };
    }
    remove(uuid) {
        contacts = contacts.filter((item) => item.login.uuid !== uuid);
        return {};
    }
};
exports.ContactsService = ContactsService;
exports.ContactsService = ContactsService = __decorate([
    (0, common_1.Injectable)()
], ContactsService);
//# sourceMappingURL=contacts.service.js.map